stages:
  - build

build_linux:
  stage: build
  script:
    - cargo build --release
    - cp target/release/polymusic .
  artifacts:
    paths:
      - polymusic
      - fonts/
      - assets/
    expire_in: 1 month
  tags:
    - linux

build_windows:
  stage: build
  script:
    - cargo build --release --target x86_64-pc-windows-gnu
    - cp target/x86_64-pc-windows-gnu/release/polymusic.exe .
  artifacts:
    paths:
      - polymusic.exe
      - fonts/
      - assets/
    expire_in: 1 month
  tags:
    - windows
